#ifndef _COMM_H
#define _COMM_H

void send_byte(byte x);
void recv_byte(byte * x);
void send_byte_noecho(byte x);
void recv_byte_wait(word * x);
void send_block(byte * data, byte size);
void recv_block(byte * data, byte size);
void send_packet(byte size, byte type, byte * data);
void recv_boot_packet(byte * size, byte * type, byte * data);
void recv_packet(byte * size, byte * type, byte * data);
void send_x42_boot_packet(dword addr, dword size, byte * data);
int config_serial(dword speed);
int init_serial(char * dev);
int close_serial();

#endif
